# Class goog.testing.TestCase.Test

code »

A class representing a single test function.

## Constructor

goog.testing.TestCase.Test ( name, ref, opt_scope )

Parameters

name: `string`
  The test name.
ref: `Function`
  Reference to the test function.
opt_scope: `Object=`
  Optional scope that the test function should be called in.

Show:Public Protected Private

## Instance Methods

code »execute ( )

Executes the test function.

## Instance Properties

code »name : `string`

The name of the test.

code »ref : `Function`

Reference to the test function.

code »scope : `Object`

Scope that the test function should be called in.